* {
  margin: 0px;
  padding: 0px;
  box-sizing: border-box;
}
main {
  height: 100vh;
  display: flex;
  justify-content: center;
  align-items: center;
  background: rgb(33, 74, 112);
}

.wrapper {
  width: 60%;
  height: 80%;
  background: rgb(20, 19, 19);
  color: white;
  display: grid;
  grid-template-rows: 15% 75% 10%;
  padding: 20px;
  align-items: center;
}
.top {
  border-bottom: 1px solid white;
}
.time {
  margin: 8px 0px;
  font-weight: 600;
}
.top .film {
  display: flex;
  justify-content: space-between;
  align-items: center;
}
.close {
  align-self: flex-start;
  padding: 10px 15px;
  border: 1px solid white;
  border-radius: 50%;
}
.title {
  font-size: 1.5rem;
  font-weight: 800;
}
.hall {
  color: gray;
}
.title button {
  padding: 0px 5px;
  background: rgba(128, 128, 128, 0.644);
  border: none;
  color: white;
  text-transform: uppercase;
}

.mid {
  border-bottom: 1px solid white;
}

.bottom {
  display: flex;
  justify-content: space-between;
}
.bottom button {
  padding: 5px 30px;
  background: royalblue;
  color: white;
  border: none;
  text-transform: uppercase;
}
.level {
  display: inline-block;
  margin-right: 15px;
  position: relative;
  padding-left: 20px;
  color: rgb(202, 193, 193);
}
.level span {
  position: absolute;
  height: 10px;
  width: 10px;
  left: 0px;
  top: 50%;
  transform: translateY(-50%);
  border-radius: 50%;
}
.mid {
  align-self: stretch;
  padding: 30px;
  display: grid;
  grid-template-rows: 30% 70%;
}
.mid img {
  width: 100%;
  height: 100px;
  object-fit: cover;
  transform: skewX(-10deg) rotateY(45deg);
  transform-origin: bottom;
  box-shadow: 0px 5px 5px rgba(255, 255, 255, 0.692);
}
.seats {
  height: 100%;
  justify-self: stretch;
  display: grid;
  grid-template-rows: repeat(4, 1fr);
}

.line {
  display: grid;
  grid-template-columns: repeat(12, 1fr);
  justify-items: center;
  align-items: center;
}
.seat {
  padding: 3px 8px;
  background: teal;
  border-radius: 50%;
  cursor: pointer;
}
.green {
  background: green;
}
.seat span {
  opacity: 0;
}
.seat:hover span {
  opacity: 1;
}
.seat:hover {
  border: 1px solid red;
}
